Agent Pools - Get Upgrade Profile

Hiermee haalt u het upgradeprofiel voor een agentgroep op.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/agentPools/{agentPoolName}/upgradeProfiles/default?api-version=2026-08-01

URI-parameters

Naam In Vereist Type Description
agentPoolName
path True

string

minLength: 1
maxLength: 12
pattern: ^[a-z][a-z0-9]{0,11}$

De naam van de agentgroep.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resource group. De naam is hoofdletterongevoelig.

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

De naam van de beheerde clusterresource.

subscriptionId
path True

string (uuid)

De ID van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Naam Type Description
200 OK

AgentPoolUpgradeProfile

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Naam Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Get Upgrade Profile for Agent Pool

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1/upgradeProfiles/default?api-version=2026-08-01

Voorbeeldrespons

{
  "name": "default",
  "type": "Microsoft.ContainerService/managedClusters/agentPools/upgradeProfiles",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1/upgradeprofiles/default",
  "properties": {
    "kubernetesVersion": "1.12.8",
    "latestNodeImageVersion": "AKSUbuntu:1604:2020.03.11",
    "osType": "Linux",
    "upgrades": [
      {
        "kubernetesVersion": "1.13.5"
      }
    ]
  }
}

Definities

Naam Description
AgentPoolRecentlyUsedVersion

Een historische versie die kan worden gebruikt voor rollback-operaties.

AgentPoolUpgradeProfile

De lijst met beschikbare upgrades voor een agentgroep.

AgentPoolUpgradeProfilePropertiesUpgradesItem

Beschikbare upgrades voor een AgentPool.

createdByType

Het identiteitstype dat de resource heeft gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

Het foutdetail.

ErrorResponse

Foutreactie

OSType

Het type besturingssysteem. De standaardwaarde is Linux.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

AgentPoolRecentlyUsedVersion

Een historische versie die kan worden gebruikt voor rollback-operaties.

Naam Type Description
nodeImageVersion

string

De versie van de knooppuntafbeelding die beschikbaar is voor terugdraaien.

orchestratorVersion

string

De Kubernetes-versie (major.minor.patch) beschikbaar voor rollback.

timestamp

string (date-time)

Het tijdstempel wanneer deze versie voor het laatst is gebruikt.

AgentPoolUpgradeProfile

De lijst met beschikbare upgrades voor een agentgroep.

Naam Type Default value Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.kubernetesVersion

string

De Kubernetes-versie (major.minor.patch).

properties.latestNodeImageVersion

string

De meest recente versie van de AKS-installatiekopieƫn van knooppunten.

properties.osType

OSType

Linux

Het type besturingssysteem. De standaardwaarde is Linux.

properties.recentlyUsedVersions

AgentPoolRecentlyUsedVersion[]

Lijst met versies van historische goederen voor terugdraaibewerkingen.

properties.upgrades

AgentPoolUpgradeProfilePropertiesUpgradesItem[]

Lijst met orchestratortypen en versies die beschikbaar zijn voor een upgrade.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

AgentPoolUpgradeProfilePropertiesUpgradesItem

Beschikbare upgrades voor een AgentPool.

Naam Type Description
isPreview

boolean

Of de Kubernetes-versie momenteel in preview is.

kubernetesVersion

string

De Kubernetes-versie (major.minor.patch).

createdByType

Het identiteitstype dat de resource heeft gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Naam Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

Het foutdetail.

Naam Type Description
additionalInfo

ErrorAdditionalInfo[]

Aanvullende informatie over de fout.

code

string

De foutcode.

details

ErrorDetail[]

De foutgegevens.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Naam Type Description
error

ErrorDetail

Het foutobject.

OSType

Het type besturingssysteem. De standaardwaarde is Linux.

Waarde Description
Linux

Gebruik Linux.

Windows

Windows gebruiken.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Naam Type Description
createdAt

string (date-time)

De tijdstempel van het aanmaken van resources (UTC).

createdBy

string

De identiteit die de resource heeft gemaakt.

createdByType

createdByType

Het identiteitstype dat de resource heeft gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.